> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an Image

> ## Upload a Image ##

<p>
Files should be uploaded using the <code>Content-Type: multipart/form-data</code> HTTP header. Raw data is expected.
</p>
<p>
Supported mime types are: <i>image/jpg</i> and <i>image/jpeg</i>. Maximum file size is 4Mb.
</p>
<p>
All image are resized as thumbnails to suit the system. Unless "isLogo" is true, then images will also be resized
in system defined "medium" and "large" sizes. Original image will always remain.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
         </tr>
         <tr>
             <td>supplierId</td><td>n</td><td>String</td><td>Supplier ID associated with image.</td>
         </tr>
         <tr>
             <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
         </tr>
         <tr>
             <td>path</td><td>n</td><td>String</td><td>Absolute URL path of original sized image.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/media
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/media:
    post:
      tags:
        - Version 1
        - Media
      summary: Upload an Image
      description: >-
        ## Upload a Image ##


        <p>

        Files should be uploaded using the <code>Content-Type:
        multipart/form-data</code> HTTP header. Raw data is expected.

        </p>

        <p>

        Supported mime types are: <i>image/jpg</i> and <i>image/jpeg</i>.
        Maximum file size is 4Mb.

        </p>

        <p>

        All image are resized as thumbnails to suit the system. Unless "isLogo"
        is true, then images will also be resized

        in system defined "medium" and "large" sizes. Original image will always
        remain.

        </p>


        #### Response ####


        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
                 </tr>
                 <tr>
                     <td>supplierId</td><td>n</td><td>String</td><td>Supplier ID associated with image.</td>
                 </tr>
                 <tr>
                     <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
                 </tr>
                 <tr>
                     <td>path</td><td>n</td><td>String</td><td>Absolute URL path of original sized image.</td>
                 </tr>
             </tbody>
         </table>
      operationId: post_api_media_media_upload
      parameters:
        - name: file
          in: query
          description: Raw file data.
          required: true
          schema:
            description: image/jpg, image/jpeg, 4Mb max
            type: string
            format: binary
        - name: caption
          in: query
          description: Optional caption text.
          required: false
          schema:
            type: string
        - name: isLogo
          in: query
          description: If true, smaller sizes of image provided will not be created.
          required: false
          schema:
            type: boolean
            default: false
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful. Returns a media object.
        '400':
          description: Returned when no file received.
        '415':
          description: Returned when file type is invalid or size of file is too large.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.